Subject: bug#43645: 26.3; emacsclient -c does not open to correct window

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Sep 2020 18:02:02 +0200

Blue track <[email-masked]> writes:

> emacs -Q --daemon
>
> echo "Test" > test.txt
> emacsclient -c test.txt
> C-x 3
> C-x b *scratch*
>
> # In new terminal
> emacsclient -c test.txt
>
> # I get a new window with the *scratch* buffer, but under Ubuntu 20.04
> the first emacsclient instance is on top also

I'm now sure what you mean by "the first emacsclient instance is on top
also"?

When I do this, I get a new Emacs frame with the *scratch* buffer
displayed -- is this what you're seeing?

And that seems like a bug.  The new emacsclient frame always pops up
with the buffer that is current in the other emacsclient frame instead
of the file/buffer you asked for.  (But the window with the requested
buffer in the old emacsclinet frame is selected.)

This only happens with a C-x 3 split; not with C-x 2 split.

Very odd.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no